Commerce Mollie
===============

Summary
-------
Drupal Commerce Payment module for Mollie Payment Services

Implements [Mollie payment services](http://www.mollie.com) for use with Drupal Commerce.

Accept iDEAL, Mister Cash, Creditcard, bank transfer, PayPal, and
paysafecard online payments without fixed monthly costs or any punishing
registration procedures.

For a full description of the module, visit the project page:
  http://drupal.org/project/commerce_mollie

To submit bug reports and feature suggestions, or to track changes:
  http://drupal.org/project/issues/commerce_mollie

Requirements
------------
* [Drupal Commerce](http://drupal.org/project/commerce)
* [Libraries](https://drupal.org/project/libraries)
* [X Autoload](https://drupal.org/project/xautoload)
* A Mollie account which can accept online payments like iDEAL, Paypal etc.

This module requires the following 3rd party libraries:
* Mollie API client for PHP (https://github.com/mollie/mollie-api-php)

Installation & configuration
----------------------------
1. Install as usual, For more information on installing modules see:
   https://drupal.org/documentation/install/modules-themes/modules-7
2. Create sites/all/libraries (if it does not already exist)
3. Put the Mollie API client for PHP (https://github.com/mollie/mollie-api-php)
   in the libraries folder: `git clone https://github.com/mollie/mollie-api-php.git mollie-api-php` from
   within the sites/all/libraries folder and make sure the composer.json is in
   sites/all/libraries/mollie-api-php
4. Run `composer install --no-dev` in sites/all/libraries/mollie-api-php
5. Go to 'admin/commerce/config/payment-methods'
6. Edit the 'Commerce Mollie' option.
7. Edit the 'Enable payment method: Mollie' action.
8. Fill in your Mollie API keys, choose whether you want to enable the test
   mode and save the action. You can find and manage your Mollie API keys at:
   https://www.mollie.nl/beheer/account/profielen

Warning
-------
The code should work but is still largely untested. Do not use it in a
production environment. Use at own risk.

License
-------
This module is licensed under the [GNU General Public License version 2](http://www.gnu.org/licenses/old-licenses/gpl-2.0.html)

Credits
-------
This module is sponsored and developed by Renaissance IT

Renaissance IT is specialized in building Drupal websites, developing custom
modules and professional hosting.

For more information, visit:

http://www.renaissance.nl
